## jrobots.simulation.simulationObjects
Enum Pilot.LauncherAmmunition

    java.lang.Object
      java.lang.Enum<Pilot.LauncherAmmunition>
          jrobots.simulation.simulationObjects.Pilot.LauncherAmmunition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Pilot.LauncherAmmunition>

Enclosing class:
  Pilot

    protected static enum Pilot.LauncherAmmunition

extends java.lang.Enum<Pilot.LauncherAmmunition>

Enum Constant Summary
`BULLET_AP`
`DUAL_MINIMISSILE_AP_HE`
`MINETHROWER_HE`
`MISSILE_HE`
`PROJECTILE_AP`
`PROJECTILE_DOUBLE_BARREL_AP`
`ROCKET_AP`
`VARIABLE_MINIMISSILES_AP_HE`

Method Summary
`static Pilot.LauncherAmmunition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Pilot.LauncherAmmunition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BULLET_AP

    public static final Pilot.LauncherAmmunition BULLET_AP

### DUAL_MINIMISSILE_AP_HE

    public static final Pilot.LauncherAmmunition DUAL_MINIMISSILE_AP_HE

### MINETHROWER_HE

    public static final Pilot.LauncherAmmunition MINETHROWER_HE

### MISSILE_HE

    public static final Pilot.LauncherAmmunition MISSILE_HE

### PROJECTILE_AP

    public static final Pilot.LauncherAmmunition PROJECTILE_AP

### PROJECTILE_DOUBLE_BARREL_AP

    public static final Pilot.LauncherAmmunition PROJECTILE_DOUBLE_BARREL_AP

### ROCKET_AP

    public static final Pilot.LauncherAmmunition ROCKET_AP

### VARIABLE_MINIMISSILES_AP_HE

    public static final Pilot.LauncherAmmunition VARIABLE_MINIMISSILES_AP_HE

Method Detail

### valueOf

    public static Pilot.LauncherAmmunition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static Pilot.LauncherAmmunition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Pilot.LauncherAmmunition c : Pilot.LauncherAmmunition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared